com.ietnet.fse.igestore.impl.entities

## Class PolicyRulesEntity

- java.lang.Object
- - com.ietnet.fse.igestore.impl.entities.PolicyRulesEntity

-     @Entity
      public class PolicyRulesEntity
      extends java.lang.Object

  Author:
    meola

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyRulesEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getEnabled()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getRuleXacml()`
    `int` | `hashCode()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setEnabled(java.lang.String enabled)`
    `void` | `setId(java.lang.String id)`
    `void` | `setRuleXacml(java.lang.String ruleXacml)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyRulesEntity

          public PolicyRulesEntity()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getRuleXacml

          public java.lang.String getRuleXacml()

    - #### setRuleXacml

          public void setRuleXacml(java.lang.String ruleXacml)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getEnabled

          public java.lang.String getEnabled()

    - #### setEnabled

          public void setEnabled(java.lang.String enabled)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`